# BEGIN SourceDeps(oneline):
BuildRequires: perl(Chemistry/Bond/Find.pm) perl(Chemistry/File/PDB.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Imager.pm) perl(Math/Quaternion.pm) perl(Math/Trig.pm) perl(OpenGL/Simple.pm) perl(OpenGL/Simple/GLUT.pm) perl(Test.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name OpenGL-Simple-Viewer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Simple 3D geometry viewer using GLUT
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JC/JCHIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This package provides a simple OpenGL geometry viewer, through the GLUT
library. An instance of OpenGL::Simple::Viewer opens a GLUT window, and
renders some geometry provided through a callback subroutine; the
geometry can be rotated, translated, and zoomed using the mouse.

When the viewer moves around, the window must be redrawn; this usually
entails clearing the window, redrawing the background, setting the
correct position and orientation, and then drawing the geometry. By
default, all you need to supply is a subroutine which draws the
geometry; everything else is taken care of. User-defined backgrounds can
be set through a callback.

An OpenGL::Simple::Viewer object can be treated as a hashref with
several user-adjustable properties:

=over 1

=item position

This is a reference to an array of three numbers, corresponding to the
position of the viewer with respect to the geometry in 3D space.

=item orientation

This is a Math::Quaternion representing the orientation of the geometry.

=item translatescale,zoomscale

These control translation and zooming speeds.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/O*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

